Package org.apache.el.lang

# Class LambdaExpressionNestedState

java.lang.Object
org.apache.el.lang.LambdaExpressionNestedState

public final class LambdaExpressionNestedState extends Object
Stores the state required for correct evaluation of lambda expressions. Lambda expressions may be nested. Correct evaluation requires knowledge not just of the current lambda expression, but also of any nested and nesting expressions.

The sets of nodes for parsed expressions are cached and, as a result, a set of nodes may be being used by multiple concurrent threads. This means any state relating to evaluation cannot be stored in the nodes. State is therefore stored in the `EvaluationContext` which is created, used for a single evaluation and then discarded.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LambdaExpressionNestedState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getHasFormalParameters()`
  `int`
  `getNestingCount()`
  `void`
  `incrementNestingCount()`
  `void`
  `setHasFormalParameters()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LambdaExpressionNestedState

    public LambdaExpressionNestedState()

- ## Method Details

  - ### incrementNestingCount

    public void incrementNestingCount()

  - ### getNestingCount

    public int getNestingCount()

  - ### setHasFormalParameters

    public void setHasFormalParameters()

  - ### getHasFormalParameters

    public boolean getHasFormalParameters()